<template>
  <el-dialog
    width="70%"
    title="标签信息"
    top="3vh"
    :visible.sync="innerVisible"
    append-to-body
    @close="$emit('update:currshowlist', false)"
    :show="currshowlist"
    :close-on-click-modal="false"
    class="print-label-dialog"
  >
    <el-form :model="dataForm" ref="dataForm" label-width="80px" class="l-mes">
      <el-row>
        <el-col :span="12">
          <el-form-item label="零件号" prop="partNo">
            <el-input v-model="dataForm.partNo" disabled></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="零件描述" prop="partName">
            <el-input v-model="dataForm.partName" disabled></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item label="客户订单号" prop="customerOrderNo"
            ><el-input
              v-model="dataForm.customerOrderNo"
              placeholder="客户订单号"
            ></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="客户名称" prop="customerName">
            <el-input
              v-model="dataForm.customerName"
              placeholder="客户名称"
            ></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item label="SN号" prop="outBatchNo"
            ><el-input
              v-model="dataForm.outBatchNo"
              placeholder="SN号"
            ></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="IFS批次号" prop="ifsBatchNo"
            ><el-input
              v-model="dataForm.ifsBatchNo"
              placeholder="SN号"
            ></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item label="生产数量" prop="productQty">
            <el-input
              v-model="dataForm.productQty"
              placeholder="生产数量"
            ></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="单位" prop="unit"
            ><el-input v-model="dataForm.unit" placeholder="单位"></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item label="工序" prop="operationName">
            <el-input
              v-model="dataForm.operationName"
              placeholder="工序"
            ></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="工作站" prop="workstationName"
            ><el-input
              v-model="dataForm.workstationName"
              placeholder="工作站"
            ></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item label="毛重" prop="grossWeight">
            <el-input
              v-model="dataForm.grossWeight"
              placeholder="毛重"
            ></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="起始米标" prop="startMeterMark"
            ><el-input
              v-model="dataForm.startMeterMark"
              placeholder="起始米标"
            ></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item label="截止米标" prop="endMeterMark">
            <el-input
              v-model="dataForm.endMeterMark"
              placeholder="截止米标"
            ></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="分段描述" prop="segmentDesc"
            ><el-input
              v-model="dataForm.segmentDesc"
              placeholder="分段描述"
            ></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item label="载具编号" prop="reelNumber">
            <el-input
              v-model="dataForm.reelNumber"
              placeholder="载具编号"
            ></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="载具重量" prop="reelWeight"
            ><el-input
              v-model="dataForm.reelWeight"
              placeholder="载具重量"
            ></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-row>
        <el-col :span="12">
          <el-form-item label="生产人员" prop="productionPerson">
            <el-input
              v-model="dataForm.productionPerson"
              placeholder="生产人员"
            ></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="备注" prop="remark"
            ><el-input v-model="dataForm.remark" placeholder="备注"></el-input>
          </el-form-item>
        </el-col>
      </el-row>
    </el-form>
    <span slot="footer" class="dialog-footer">
      <el-button @click="innerVisible = false">取消</el-button>
      <el-button type="primary" v-thinclick="`printData`">打印</el-button>
    </span>
  </el-dialog>
</template>
<script>
import { mapGetters } from 'vuex'
import { getObj } from '@/api/basic/part'
import getLodop from '@/util/lodop'
import { getYearAndMonth } from '@/util/date'
import { judgeLabelMark } from '@/api/warehouse/check'
export default {
  props: {
    currshowlist: {
      type: Boolean,
      default: false
    },
    printLabelInfo: {
      type: Object,
      default: () => {
        return {}
      }
    }
  },
  data() {
    return {
      innerVisible: false,
      dataForm: {},
      partInfo: null
    }
  },
  watch: {
    currshowlist() {
      this.innerVisible = this.currshowlist
      if (this.currshowlist) {
        this.$nextTick(() => {
          getObj(this.printLabelInfo.partId).then((response) => {
            const resData = response.data
            this.partInfo = resData.data
          })
          this.dataForm = {
            partNo: this.printLabelInfo.partNo,
            partName: this.printLabelInfo.partName,
            outBatchNo: this.printLabelInfo.outBatchNo,
            ifsBatchNo: this.printLabelInfo.ifsBatchNo,
            productQty: this.printLabelInfo.productQty,
            lotTrackingIfs: this.printLabelInfo.lotTrackingIfs,
            unit: this.printLabelInfo.unit,
            customerOrderNo: this.printLabelInfo.customerOrderNo,
            customerName: this.printLabelInfo.customerName,
            operationName: this.printLabelInfo.operationName,
            workstationName: this.printLabelInfo.workstationName,
            grossWeight: this.printLabelInfo.grossWeight,
            netWeight: this.printLabelInfo.netWeight,
            theoryWeight: this.printLabelInfo.theoryWeight,
            segmentDesc: this.printLabelInfo.segmentDesc,
            reelNumber: this.printLabelInfo.reelNumber,
            reelWeight: this.printLabelInfo.reelWeight,
            nowTime: this.printLabelInfo.nowTime,
            productionPerson: this.printLabelInfo.productionPerson,
            remark: this.printLabelInfo.remark,
            startMeterMark: this.printLabelInfo.startMeterMark,
            endMeterMark: this.printLabelInfo.endMeterMark
          }
          console.log('this.dataForm', this.dataForm)
        })
      }
    }
  },
  computed: {
    ...mapGetters(['userInfo'])
  },
  methods: {
    printData() {
      // 找出所有要打印的SN的list
      const snList = []
      snList.push(this.dataForm.outBatchNo)
      // 查询是否正在盘点
      judgeLabelMark(snList).then((resp) => {
        const respData = resp.data
        const markArr = respData.data
        let markFlag = true
        markFlag = markArr.includes(this.dataForm.outBatchNo)
        if (markFlag) {
          this.beginPrint(true)
        } else {
          this.beginPrint(false)
        }
      })
    },
    beginPrint(isCheck) {
      this.LODOP = getLodop()
      this.dataForm.lotTrackingIfs = this.partInfo.lotTrackingIfs
      console.log(this.dataForm)
      const qr = {
        part_no: this.dataForm.partNo,
        lot_batch_no: this.dataForm.ifsBatchNo,
        qty_arrived: this.dataForm.productQty,
        wdr: this.dataForm.outBatchNo,
        unit_meas: this.dataForm.unit,
        sn_no: this.dataForm.outBatchNo
      }
      const qrStr = JSON.stringify(qr)
      if (isCheck) {
        const currYearAndMonth = getYearAndMonth()
        this.LODOP.SET_LICENSES(
          '南通市鑫阳软件开发有限公司',
          '60F8E5078AE17DEB340C94BC7E83CAFF',
          '',
          ''
        )
        this.LODOP.PRINT_INITA(0, 0, 460, 230, '')
        this.LODOP.SET_PRINT_PAGESIZE(0, 1200, 600, '')
        this.LODOP.SET_PRINT_MODE('PRINT_NOCOLLATE', 1)
        this.LODOP.ADD_PRINT_TEXT(48, 32, 85, 20, '客户订单号：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(
          67,
          24,
          111,
          20,
          this.dataForm.customerOrderNo
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(83, 32, 85, 20, '客户名称：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(102, 24, 109, 20, this.dataForm.customerName)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_BARCODE(
          9,
          55,
          368,
          29,
          'Code39',
          this.dataForm.outBatchNo
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 8)
        this.LODOP.SET_PRINT_STYLEA(0, 'ShowBarText', 0)
        this.LODOP.ADD_PRINT_BARCODE(119, 24, 100, 100, 'QRCode', qrStr)
        this.LODOP.SET_PRINT_STYLEA(0, 'QRCodeVersion', 7)
        this.LODOP.SET_PRINT_STYLEA(0, 'QRCodeErrorLevel', 'L')
        this.LODOP.ADD_PRINT_TEXT(46, 129, 75, 20, '工序：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(60, 129, 75, 20, '工作站：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(76, 129, 75, 20, '零件描述：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(107, 129, 75, 20, '生产数量：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(123, 129, 75, 20, '毛重：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(137, 129, 75, 20, '检验结论：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        // this.LODOP.ADD_PRINT_TEXT(154, 129, 75, 20, '实际净重：')
        this.LODOP.ADD_PRINT_TEXT(154, 129, 75, 20, '起始米标：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        // this.LODOP.ADD_PRINT_TEXT(170, 129, 75, 20, '理论净重：')
        this.LODOP.ADD_PRINT_TEXT(170, 129, 75, 20, '截止米标：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(187, 129, 75, 20, '分段描述：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(46, 173, 95, 20, this.dataForm.operationName)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(
          60,
          174,
          95,
          20,
          this.dataForm.workstationName
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(76, 179, 225, 30, this.dataForm.partName)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(107, 179, 95, 20, this.dataForm.productQty)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(123, 179, 95, 20, this.dataForm.grossWeight)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(137, 179, 95, 20, '')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        // this.LODOP.ADD_PRINT_TEXT(153, 179, 95, 20, data.netWeight)
        this.LODOP.ADD_PRINT_TEXT(
          153,
          179,
          95,
          20,
          this.dataForm.startMeterMark
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        // this.LODOP.ADD_PRINT_TEXT(170, 179, 95, 20, data.theoryWeight)
        this.LODOP.ADD_PRINT_TEXT(170, 179, 95, 20, this.dataForm.endMeterMark)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(187, 179, 220, 20, this.dataForm.segmentDesc)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(46, 252, 80, 20, 'SN号：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(59, 252, 80, 20, '零件号：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(107, 252, 80, 20, '载具编号：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(122, 252, 80, 20, '载具重量：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(137, 252, 80, 20, '打印时间：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(152, 252, 80, 20, '生产人员：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(170, 252, 80, 20, '打印人员：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(198, 129, 80, 20, '备注：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(46, 292, 115, 20, this.dataForm.outBatchNo)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(59, 293, 123, 20, this.dataForm.partNo)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(107, 315, 115, 20, this.dataForm.reelNumber)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(121, 316, 115, 20, this.dataForm.reelWeight)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(
          136,
          316,
          115,
          20,
          this.dataForm.nowTime == null
            ? ''
            : this.dataForm.nowTime.substring(0, 10)
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(
          152,
          309,
          115,
          20,
          this.dataForm.productionPerson
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(
          170,
          310,
          115,
          20,
          this.userInfo.staffName == null ? '' : this.userInfo.staffName
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(198, 193, 211, 25, this.dataForm.remark)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_LINE(219, 20, 219, 228, 0, 2)
        this.LODOP.ADD_PRINT_LINE(219, 262, 219, 450, 0, 2)
        this.LODOP.ADD_PRINT_TEXT(212, 228, 34, 15, currYearAndMonth)
        this.LODOP.SET_PRINT_STYLEA(0, 'Alignment', 2)
        this.LODOP.ADD_PRINT_LINE(225, 20, 225, 450, 0, 2)
        // this.LODOP.PREVIEW()
        this.LODOP.PRINT()
      } else {
        this.LODOP.SET_LICENSES(
          '南通市鑫阳软件开发有限公司',
          '60F8E5078AE17DEB340C94BC7E83CAFF',
          '',
          ''
        )
        this.LODOP.PRINT_INITA(0, 0, 460, 230, '')
        this.LODOP.SET_PRINT_PAGESIZE(0, 1200, 600, '')
        this.LODOP.SET_PRINT_MODE('PRINT_NOCOLLATE', 1)
        this.LODOP.ADD_PRINT_TEXT(48, 32, 85, 20, '客户订单号：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(
          67,
          24,
          111,
          20,
          this.dataForm.customerOrderNo
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(83, 32, 85, 20, '客户名称：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(102, 24, 109, 20, this.dataForm.customerName)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_BARCODE(
          9,
          55,
          368,
          29,
          'Code39',
          this.dataForm.outBatchNo
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 8)
        this.LODOP.SET_PRINT_STYLEA(0, 'ShowBarText', 0)
        this.LODOP.ADD_PRINT_BARCODE(119, 24, 100, 100, 'QRCode', qrStr)
        this.LODOP.SET_PRINT_STYLEA(0, 'QRCodeVersion', 7)
        this.LODOP.SET_PRINT_STYLEA(0, 'QRCodeErrorLevel', 'L')
        this.LODOP.ADD_PRINT_TEXT(46, 129, 75, 20, '工序：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(60, 129, 75, 20, '工作站：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(76, 129, 75, 20, '零件描述：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(107, 129, 75, 20, '生产数量：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(123, 129, 75, 20, '毛重：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(137, 129, 75, 20, '检验结论：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        // this.LODOP.ADD_PRINT_TEXT(154, 129, 75, 20, '实际净重：')
        this.LODOP.ADD_PRINT_TEXT(154, 129, 75, 20, '起始米标：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        // this.LODOP.ADD_PRINT_TEXT(170, 129, 75, 20, '理论净重：')
        this.LODOP.ADD_PRINT_TEXT(170, 129, 75, 20, '截止米标：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(187, 129, 75, 20, '分段描述：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(46, 173, 95, 20, this.dataForm.operationName)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(
          60,
          174,
          95,
          20,
          this.dataForm.workstationName
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(76, 179, 225, 30, this.dataForm.partName)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(107, 179, 95, 20, this.dataForm.productQty)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(123, 179, 95, 20, this.dataForm.grossWeight)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(137, 179, 95, 20, '')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        // this.LODOP.ADD_PRINT_TEXT(153, 179, 95, 20, this.dataForm.netWeight)
        this.LODOP.ADD_PRINT_TEXT(
          153,
          179,
          95,
          20,
          this.dataForm.startMeterMark
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        // this.LODOP.ADD_PRINT_TEXT(170, 179, 95, 20, this.dataForm.theoryWeight)
        this.LODOP.ADD_PRINT_TEXT(170, 179, 95, 20, this.dataForm.endMeterMark)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(187, 179, 95, 20, this.dataForm.segmentDesc)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(46, 252, 80, 20, 'SN号：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(59, 252, 80, 20, '零件号：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(107, 252, 80, 20, '载具编号：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(122, 252, 80, 20, '载具重量：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(137, 252, 80, 20, '打印时间：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(152, 252, 80, 20, '生产人员：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(170, 252, 80, 20, '打印人员：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(201, 129, 80, 20, '备注：')
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(46, 292, 115, 20, this.dataForm.outBatchNo)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(59, 293, 123, 20, this.dataForm.partNo)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(107, 315, 115, 20, this.dataForm.reelNumber)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(121, 316, 115, 20, this.dataForm.reelWeight)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(
          136,
          316,
          115,
          20,
          this.dataForm.nowTime == null
            ? ''
            : this.dataForm.nowTime.substring(0, 10)
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(
          152,
          309,
          115,
          20,
          this.dataForm.productionPerson
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(
          170,
          310,
          115,
          20,
          this.userInfo.staffName == null ? '' : this.userInfo.staffName
        )
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        this.LODOP.ADD_PRINT_TEXT(202, 193, 211, 25, this.dataForm.remark)
        this.LODOP.SET_PRINT_STYLEA(0, 'FontSize', 7)
        // this.LODOP.PREVIEW()
        this.LODOP.PRINT()
      }
    }
  }
}
</script>
<style scoped></style>
